JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
await client.esims.delete('550e8400-e29b-41d4-a716-446655440000');import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
client.esims.delete(
"550e8400-e29b-41d4-a716-446655440000",
)curl --request DELETE \
--url https://api.mobilerun.ai/v1/numbers/esims/{id} \
--header 'Authorization: Bearer <token>'
{
"error": "<string>"
}{
"message": "<string>",
"reason": "out_of_stock",
"success": false
}{
"message": "<string>",
"reason": "out_of_stock",
"success": false
}Esims
Remove a physical eSIM (owner-facing, both sources)
Removes a physical eSIM. Idempotent — returns 204 for a fresh removal or a replay of an already-removed eSIM. An eSIM currently installed on a device is uninstalled first, then removed. An eSIM in an intermediate install state returns 409 operator_resolution_required and requires manual resolution. Returns 404 if the eSIM doesn’t exist or isn’t owned by the caller.
DELETE
/
numbers
/
esims
/
{id}
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
await client.esims.delete('550e8400-e29b-41d4-a716-446655440000');import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
client.esims.delete(
"550e8400-e29b-41d4-a716-446655440000",
)Was this page helpful?
⌘I